libzypp 17.37.10

PoolMember.h File Reference
`#include <zypp/base/Hash.h>`
`#include <zypp/base/Iterator.h>`
`#include <zypp/base/String.h>`
`#include <zypp/base/Easy.h>`

Go to the source code of this file.

## Classes
struct | zypp::sat::detail::PoolMember
| Backlink to the associated PoolImpl. More...

## Namespaces
namespace | zypp
| Easy-to use interface to the ZYPP dependency resolver.
namespace | zypp::detail
namespace | zypp::sat
namespace | zypp::sat::detail

## Typedefs
using | zypp::sat::detail::CDataiterator = ::s_Dataiterator
| Wrapped libsolv C data type exposed as backdoor.
using | zypp::sat::detail::CDatamatcher = ::s_Datamatcher
| Wrapped libsolv C data type exposed as backdoor.
using | zypp::sat::detail::CMap = ::s_Map
| Wrapped libsolv C data type exposed as backdoor.
using | zypp::sat::detail::CPool = ::s_Pool
| Wrapped libsolv C data type exposed as backdoor.
using | zypp::sat::detail::CQueue = ::s_Queue
| Wrapped libsolv C data type exposed as backdoor.
using | zypp::sat::detail::CRepo = ::s_Repo
| Wrapped libsolv C data type exposed as backdoor.
using | zypp::sat::detail::CSolvable = ::s_Solvable
| Wrapped libsolv C data type exposed as backdoor.
using | zypp::sat::detail::CSolver = ::s_Solver
| Wrapped libsolv C data type exposed as backdoor.
using | zypp::sat::detail::CTransaction = ::s_Transaction
| Wrapped libsolv C data type exposed as backdoor.
using | zypp::sat::detail::IdType = int
| Generic Id type.
using | zypp::sat::detail::SolvableIdType = unsigned int
| Id type to connect Solvable and sat-solvable.
using | zypp::sat::detail::size_type = SolvableIdType
using | zypp::sat::detail::RepoIdType = CRepo *
| Id type to connect Repo and sat-repo.

## Functions
static const IdType | zypp::sat::detail::noId (0)
static const IdType | zypp::sat::detail::emptyId (1)
static const IdType | zypp::sat::detail::solvablePrereqMarker (15)
| Internal ids satlib includes in dependencies.
static const IdType | zypp::sat::detail::solvableFileMarker (16)
static const IdType | zypp::sat::detail::namespaceModalias (18)
static const IdType | zypp::sat::detail::namespaceLanguage (20)
static const IdType | zypp::sat::detail::namespaceFilesystem (21)
bool | zypp::sat::detail::isDepMarkerId (IdType id_r)
| Test for internal ids satlib includes in dependencies.
static const SolvableIdType | zypp::sat::detail::noSolvableId (0)
| Id to denote Solvable::noSolvable.
static const SolvableIdType | zypp::sat::detail::systemSolvableId (1)
| Id to denote the usually hidden Solvable::systemSolvable.
static const RepoIdType | zypp::sat::detail::noRepoId (0)
| Id to denote Repo::noRepository.